Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06842 DIP/Input Minor Always Jan 12, 2018, 08:24 Feb 9, 2022, 12:34
Tester 280696516 View Status Public Platform MAME (Official Binary)
Assigned To cuavas Resolution Fixed OS
Status [?] Resolved Driver nes.cpp
Version 0.193 Fixed in Version 0.241 Build 64-bit
Fixed in Git Commit eb221b2 Github Pull Request #
Summary MESS-specific 06842: nes_zapper: Mouse B0 doesn't work by default
Description I have a nes game rom "Hogan's Alley (JU) [!].nes"
I run mame in commandline:
mame64 nes -cart "Hogan's Alley (JU) [!].nes" -mouse -ctrl2 zapper
Then I play game. But only A in keyboard works as trigger. Mouse B0 doesn't.
Steps To Reproduce I use default configuration. (I delete nes.cfg. )
the mouse can not move the crosshair either.
If I redefine mouse, it works.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems nes_zapper
Attached Files
png file icon 屏幕截图(31).png (158,570 bytes) Jan 12, 2018, 08:36 Uploaded by 280696516
280696516
png file icon multimouse.png (126,617 bytes) Feb 8, 2022, 14:33 Uploaded by cuavas
cuavas
png file icon mmzap.png (84,805 bytes) Feb 8, 2022, 14:35 Uploaded by cuavas
cuavas
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.19774
cuavas
Administrator
Feb 8, 2022, 14:32
This is a display problem. The zapper is mapped to the second mouse device, but if you don’t enable the -multimouse option you can’t actually use it and it misleadingly doesn’t show the numbers for mouse devices. See attached screenshot showing how the default controls are displayed when -multimouse is enabled.